<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (21) on Mon May 27 19:45:04 CEST 2024 -->
<title>A-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-05-27">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><a href="../com/projetdev/controleur/GestionBoutons.html#actionPerformed(java.awt.event.ActionEvent)" class="member-name-link">actionPerformed(ActionEvent)</a> - Method in class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionBoutons.html" title="class in com.projetdev.controleur">GestionBoutons</a></dt>
<dd>
<div class="block">Méthode invoquée lorsqu'un bouton est actionné.</div>
</dd>
<dt><a href="../com/projetdev/controleur/GestionCouleur.html#actionPerformed(java.awt.event.ActionEvent)" class="member-name-link">actionPerformed(ActionEvent)</a> - Method in class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionCouleur.html" title="class in com.projetdev.controleur">GestionCouleur</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/projetdev/controleur/GestionMenu.html#actionPerformed(java.awt.event.ActionEvent)" class="member-name-link">actionPerformed(ActionEvent)</a> - Method in class com.projetdev.controleur.<a href="../com/projetdev/controleur/GestionMenu.html" title="class in com.projetdev.controleur">GestionMenu</a></dt>
<dd>
<div class="block">Méthode invoquée lorsqu'un élément de menu est sélectionné.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#addDrawing()" class="member-name-link">addDrawing()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Ajout du dessin Libre en cours à la liste des dessins Libres.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#addPoint(java.awt.Point)" class="member-name-link">addPoint(Point)</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Ajout d'un point dans la liste de points du dessin Libre en cours.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html#addPoint(java.awt.Point,com.projetdev.vue.PanneauDessin)" class="member-name-link">addPoint(Point, PanneauDessin)</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></dt>
<dd>
<div class="block">Ajoute un point au dessin actuellement en cours et met à jour le panneau de dessin.</div>
</dd>
<dt><a href="../com/projetdev/modele/DessinLibre.html#ajouterDessin()" class="member-name-link">ajouterDessin()</a> - Method in class com.projetdev.modele.<a href="../com/projetdev/modele/DessinLibre.html" title="class in com.projetdev.modele">DessinLibre</a></dt>
<dd>
<div class="block">Ajoute le dessin actuel à la liste des dessins terminés, avec sa couleur
 et son épaisseur de trait, puis réinitialise le dessin actuel pour en commencer un nouveau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#ajouterForme(com.projetdev.modele.Forme)" class="member-name-link">ajouterForme(Forme)</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Ajoute une nouvelle forme au panneau.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#ajouterPrevisu(com.projetdev.modele.Forme)" class="member-name-link">ajouterPrevisu(Forme)</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Ajoute une forme en prévisualisation.</div>
</dd>
<dt><a href="../com/projetdev/vue/PanneauDessin.html#annulerForme()" class="member-name-link">annulerForme()</a> - Method in class com.projetdev.vue.<a href="../com/projetdev/vue/PanneauDessin.html" title="class in com.projetdev.vue">PanneauDessin</a></dt>
<dd>
<div class="block">Annule la dernière forme ajoutée au panneau.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
